# Copyright 2013-2018 Lawrence Livermore National Security, LLC and other
# Spack Project Developers. See the top-level COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)


from spack import *


class Sabre(MakefilePackage):
    """Sabre is a tool that will demultiplex barcoded reads into separate
       files. It will work on both single-end and paired-end data in fastq
       format. It simply compares the provided barcodes with each read and
       separates the read into its appropriate barcode file, after stripping
       the barcode from the read (and also stripping the quality values of
       the barcode bases). If a read does not have a recognized barcode,
       then it is put into the unknown file.
    """

    homepage = "https://github.com/najoshi/sabre"
    git      = "https://github.com/najoshi/sabre.git"

    version('2013-09-27', commit='039a55e500ba07b7e6432ea6ec2ddcfb3471d949')

    depends_on('zlib')

    def install(self, spec, prefix):
        mkdirp(prefix.bin)
        install('sabre', prefix.bin)
